Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

website I want to go to says I need firefox 3.5.x or 3.6.x and I want to know how do I access either of these to download

more options

I am trying to access www.fafsa.gov and I get a response back stating my browser is incompatible and says that supported Mozilla Firefox browser for windows XP (which is what I have) is Mozilla Firefox 3.5.x or 3.6.x. I downloaded the 3.6 upgrade and I still get the same message that my browser is incompatible....what is the ".x" extension. Please assist me with this as I need to access my student aid information.

All Replies (1)

more options